[Haskell-cafe] cabal list can't find Glob.cabal file?

Dougal Stanton dougal at dougalstanton.net
Sun Feb 1 18:04:20 EST 2009

I get a curious message when trying to run 'cabal list':

$ cabal list

      ....omit some lines...
      Latest version available: 0.3
      Category: Network
      Synopsis: Pure bindings for the MaxMind IP database.
      License:  OtherLicense

cabal: Couldn't read cabal file "./Glob/0.1/Glob.cabal"

Any ideas? As far as Hackage and the local index are concerned, 0.1
isn't even a recent version of Glob. Why should it be looking for the

cabal-install version 0.5.1
using version of the Cabal library

Dougal Stanton
dougal at dougalstanton.net // http://www.dougalstanton.net

More information about the Haskell-Cafe mailing list